#version 430 core
in vec2 TexCoords;
//out vec4 color;
layout(location = 0) out vec4 color;

uniform sampler2D text;
uniform vec3 textColor;

void main()
{
    vec4 sampled = vec4(textColor, texture(text, TexCoords).r);
	gl_FragData[0] = sampled;
}